diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/dsss-error-rate-model.h ns-3.31/src/wifi/model/dsss-error-rate-model.h
--- ns-3.30.1/src/wifi/model/dsss-error-rate-model.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/dsss-error-rate-model.h	2020-06-27 17:38:30.000000000 -0700
@@ -31,12 +31,23 @@
 namespace ns3 {
 
 #ifdef HAVE_GSL
+/**
+ * Structure for integral function parameters
+ */
 typedef struct FunctionParameterType
 {
-  double beta;
-  double n;
+  double beta; ///< Beta parameter
+  double n;    ///< n parameter
 } FunctionParameters;
 
+/**
+ * Integral function using GSL library
+ *
+ * \param x the input x variable
+ * \param params a pointer to FunctionParameters struct
+ *
+ * \return the integral function
+ */
 double IntegralFunction (double x, void *params);
 #endif
 
@@ -48,14 +59,14 @@
  *    - 1 Mbps mode is based on DBPSK. BER is from equation 5.2-69 from John G. Proakis
  *      Digital Communications, 2001 edition
  *    - 2 Mbps model is based on DQPSK. Equation 8 from "Tight bounds and accurate
- *      approximations for dqpsk transmission bit error rate", G. Ferrari and G.E. Corazza
+ *      approximations for DQPSK transmission bit error rate", G. Ferrari and G.E. Corazza
  *      ELECTRONICS LETTERS, 40(20):1284-1285, September 2004
  *    - 5.5 Mbps and 11 Mbps are based on equations (18) and (17) from "Properties and
- *      performance of the ieee 802.11b complementarycode-key signal sets",
+ *      performance of the IEEE 802.11b complementarycode-key signal sets",
  *      Michael B. Pursley and Thomas C. Royster. IEEE TRANSACTIONS ON COMMUNICATIONS,
  *      57(2):440-449, February 2009.
  *
- *  This model is designed to run with highest accuracy using the Gnu
+ *  This model is designed to run with highest accuracy using the GNU
  *  Scientific Library (GSL), but if GSL is not installed on the platform,
  *  will fall back to (slightly less accurate) Matlab-derived models for
  *  the CCK modulation types.
@@ -69,7 +80,7 @@
   /**
    * A function DQPSK
    *
-   * \param x x
+   * \param x the input variable
    *
    * \return DQPSK (x)
    */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/dsss-parameter-set.h ns-3.31/src/wifi/model/dsss-parameter-set.h
--- ns-3.30.1/src/wifi/model/dsss-parameter-set.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/dsss-parameter-set.h	2020-06-27 17:38:30.000000000 -0700
@@ -35,60 +35,31 @@
 {
 public:
   DsssParameterSet ();
-  /**
-   * Set DSSS supported
-   * \param DsssSupported the DSSS supported indicator
-   */
-  void SetDsssSupported (uint8_t DsssSupported);
 
-  /**
-   * Set the Current Channel field in the DsssParameterSet information element.
-   *
-   * \param currentChannel the CurrentChannel field in the DsssParameterSet information element
-   */
-  void SetCurrentChannel (uint8_t currentChannel);
-
-  /**
-   * Element ID function
-   * \returns the wifi information element ID
-   */
+  // Implementations of pure virtual methods of WifiInformationElement
   WifiInformationElementId ElementId () const;
-  /**
-   * Get information field size function
-   * \returns the information field size
-   */
   uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize information field function
-   * \param start the iterator
-   * \returns the updated iterator
-   */
   void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Deserialize infornamtion field function
-   * \param start the iterator
-   * \param length the length
-   * \returns the updated iterator
-   */
   uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA does support DSSS. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
 
   /**
-   * This information element is a bit special in that it is only
-   * included if the STA does support DSSS. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
+   * Set DSSS supported
+   * \param dsssSupported the DSSS supported indicator
    */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  void SetDsssSupported (uint8_t dsssSupported);
+
   /**
-   * Return the serialized size of this DSSS Parameter Set.
+   * Set the Current Channel field in the DsssParameterSet information element.
    *
-   * \return the serialized size of this DSSS Parameter Set
+   * \param currentChannel the CurrentChannel field in the DsssParameterSet information element
    */
-  uint16_t GetSerializedSize () const;
+  void SetCurrentChannel (uint8_t currentChannel);
 
 
 private:
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/edca-parameter-set.h ns-3.31/src/wifi/model/edca-parameter-set.h
--- ns-3.30.1/src/wifi/model/edca-parameter-set.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/edca-parameter-set.h	2020-06-27 17:38:30.000000000 -0700
@@ -35,6 +35,19 @@
 {
 public:
   EdcaParameterSet ();
+
+  // Implementations of pure virtual methods of WifiInformationElement
+  WifiInformationElementId ElementId () const;
+  uint8_t GetInformationFieldSize () const;
+  void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA is a QoS STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
    * Set QOS supported function
    * \param qosSupported the QOS supported indicator
@@ -276,47 +289,6 @@
    */
   uint16_t GetVoTxopLimit (void) const;
 
-  /**
-   * Element ID function
-   * \returns the wifi information element ID
-   */
-  WifiInformationElementId ElementId () const;
-  /**
-   * Get information field size function
-   * \returns the information field size
-   */
-  uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize information field function
-   * \param start the iterator
-   */
-  void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Deserialize information field function
-   * \param start the iterator
-   * \param length the length
-   * \returns the size
-   */
-  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
-
-  /**
-   * This information element is a bit special in that it is only
-   * included if the STA is a QoS STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Return the serialized size of this EDCA Parameter Set.
-   *
-   * \return the serialized size of this EDCA Parameter Set
-   */
-  uint16_t GetSerializedSize () const;
-
 
 private:
   uint8_t m_qosInfo;  ///< QOS info
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/erp-information.cc ns-3.31/src/wifi/model/erp-information.cc
--- ns-3.30.1/src/wifi/model/erp-information.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/erp-information.cc	2020-06-27 17:38:30.000000000 -0700
@@ -121,20 +121,12 @@
   return length;
 }
 
-/**
- * output stream output operator
- *
- * \param os output stream
- * \param erpinformation
- *
- * \returns output stream
- */
 std::ostream &
-operator << (std::ostream &os, const ErpInformation &erpinformation)
+operator << (std::ostream &os, const ErpInformation &erpInformation)
 {
-  os <<  bool (erpinformation.GetBarkerPreambleMode ())
-     << "|" << bool (erpinformation.GetUseProtection ())
-     << "|" << bool (erpinformation.GetNonErpPresent ());
+  os <<  bool (erpInformation.GetBarkerPreambleMode ())
+     << "|" << bool (erpInformation.GetUseProtection ())
+     << "|" << bool (erpInformation.GetNonErpPresent ());
 
   return os;
 }
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/erp-information.h ns-3.31/src/wifi/model/erp-information.h
--- ns-3.30.1/src/wifi/model/erp-information.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/erp-information.h	2020-06-27 17:38:30.000000000 -0700
@@ -35,6 +35,21 @@
 {
 public:
   ErpInformation ();
+
+  // Implementations of pure virtual methods of WifiInformationElement
+  WifiInformationElementId ElementId () const;
+  uint8_t GetInformationFieldSize () const;
+  void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start,
+                                       uint8_t length);
+
+  /* This information element is a bit special in that it is only
+     included if the STA is an ERP STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
    * Set the ERP supported field.
    *
@@ -80,52 +95,6 @@
    */
   uint8_t GetNonErpPresent (void) const;
 
-  /**
-   * Get the element ID field.
-   *
-   * \returns WifiInformationElementId
-   */
-  WifiInformationElementId ElementId () const;
-  /**
-   * Get the information field size.
-   *
-   * \returns the element field size
-   */
-  uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize the information field.
-   *
-   * \param start the information element iterator
-   */
-  void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Get the information field size.
-   *
-   * \param start the information element iterator
-   * \param length the information field length
-   *
-   * \returns the information field
-   */
-  uint8_t DeserializeInformationField (Buffer::Iterator start,
-                                       uint8_t length);
-
-  /**
-   * This information element is a bit special in that it is only
-   * included if the STA is an ERP STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Return the serialized size of this ErpInformation information element.
-   *
-   * \return the serialized size of this ErpInformation information element
-   */
-  uint16_t GetSerializedSize () const;
 
 private:
   uint8_t m_erpInformation; ///< ERP information
@@ -138,11 +107,11 @@
  * output stream output operator
  *
  * \param os output stream
- * \param erpinformation
+ * \param erpInformation the ERP Information
  *
  * \returns output stream
  */
-std::ostream &operator << (std::ostream &os, const ErpInformation &erpinformation);
+std::ostream &operator << (std::ostream &os, const ErpInformation &erpInformation);
 
 } //namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/error-rate-model.h ns-3.31/src/wifi/model/error-rate-model.h
--- ns-3.30.1/src/wifi/model/error-rate-model.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/error-rate-model.h	2020-06-27 17:38:30.000000000 -0700
@@ -44,9 +44,9 @@
 
   /**
    * \param txVector a specific transmission vector including WifiMode
-   * \param ber a target ber
+   * \param ber a target BER
    *
-   * \return the snr which corresponds to the requested ber
+   * \return the SNR which corresponds to the requested BER
    */
   double CalculateSnr (WifiTxVector txVector, double ber) const;
 
@@ -61,7 +61,7 @@
    *
    * Note that both a WifiMode and a WifiTxVector (which contains a WifiMode)
    * are passed into this method.  The WifiTxVector may be from a signal that
-   * contains multiple modes (e.g. PLCP header sent differently from PLCP
+   * contains multiple modes (e.g. PHY header sent differently from PHY
    * payload).  Consequently, the mode parameter is what the method uses
    * to calculate the chunk error rate, and the txVector is used for
    * other information as needed.
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/extended-capabilities.cc ns-3.31/src/wifi/model/extended-capabilities.cc
--- ns-3.30.1/src/wifi/model/extended-capabilities.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/extended-capabilities.cc	2020-06-27 17:38:30.000000000 -0700
@@ -393,18 +393,10 @@
   return length;
 }
 
-/**
- * output stream output operator
- *
- * \param os output stream
- * \param extendedcapabilities the extended capabilities
- *
- * \returns output stream
- */
 std::ostream &
-operator << (std::ostream &os, const ExtendedCapabilities &extendedcapabilities)
+operator << (std::ostream &os, const ExtendedCapabilities &extendedCapabilities)
 {
-  os << +extendedcapabilities.GetExtendedCapabilitiesByte1 ();
+  os << +extendedCapabilities.GetExtendedCapabilitiesByte1 ();
   return os;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/extended-capabilities.h ns-3.31/src/wifi/model/extended-capabilities.h
--- ns-3.30.1/src/wifi/model/extended-capabilities.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/extended-capabilities.h	2020-06-27 17:38:30.000000000 -0700
@@ -30,25 +30,37 @@
  * \ingroup wifi
  *
  * This class knows how to serialise and deserialise the Extended Capabilities Information Element
- *
- * \see attribute_ExtendedCapabilities
  */
 class ExtendedCapabilities : public WifiInformationElement
 {
 public:
   ExtendedCapabilities ();
+
+  // Implementations of pure virtual methods of WifiInformationElement
+  WifiInformationElementId ElementId () const;
+  uint8_t GetInformationFieldSize () const;
+  void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start,
+                                       uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA is a HT STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
    * Set the HT Supported flag.
    *
-   * \param htsupported flag whether HT is supported
+   * \param htSupported flag whether HT is supported
    */
-  void SetHtSupported (uint8_t htsupported);
+  void SetHtSupported (uint8_t htSupported);
   /**
    * Set the VHT Supported flag.
    *
-   * \param vhtsupported flag whether VHT is supported
+   * \param vhtSupported flag whether VHT is supported
    */
-  void SetVhtSupported (uint8_t vhtsupported);
+  void SetVhtSupported (uint8_t vhtSupported);
 
   /**
    * Set the first byte in the Extended Capabilities information element.
@@ -148,126 +160,88 @@
    */
   uint8_t GetExtendedCapabilitiesByte8 (void) const;
 
-  /**
-   * Return the element ID.
-   *
-   * \return the element ID
-   */
-  WifiInformationElementId ElementId () const;
-  /**
-   * Return the information field size.
-   *
-   * \return the information field size
-   */
-  uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize the information field.
-   *
-   * \param start the information field
-   */
-  void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Return the information field.
-   *
-   * \param start field
-   * \param length field length
-   *
-   * \return the information field
-   */
-  uint8_t DeserializeInformationField (Buffer::Iterator start,
-                                       uint8_t length);
-  /**
-   * This information element is a bit special in that it is only
-   * included if the STA is an HT or a VHT STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Return the serialized size of this extended capabilities information element.
-   *
-   * \return the serialized size of this extended capabilities information element
-   */
-  uint16_t GetSerializedSize () const;
-
 
 private:
-  //fields supported by HT and VHT
+  //fields if HT supported
   uint8_t m_20_40_bssCoexistenceManagementSupport; ///< 20/40 BSS Coexistence Management Support
-  uint8_t m_extendedChannelSwitching; ///< Extended Channel Switching
-  uint8_t m_psmpCapability; ///< PSMP Capability
-  uint8_t m_spsmpSupport; ///< S-PSMP Support
-
-  //fields supported by VHT
-  uint8_t m_event; ///< Event
-  uint8_t m_diagnostics; ///< Diagnostics
-  uint8_t m_multicastDiagnostics; ///< Multicast Diagnostics
-  uint8_t m_locationTracking; ///< Location Tracking
-  uint8_t m_fms; ///< FMS
-  uint8_t m_proxyArpService; ///< Proxy ARP Service
+  uint8_t m_extendedChannelSwitching;              ///< Extended Channel Switching
+  uint8_t m_psmpCapability;                        ///< PSMP Capability
+  uint8_t m_spsmpSupport;                          ///< S-PSMP Support
+
+  //fields if VHT supported
+  uint8_t m_event;                           ///< Event
+  uint8_t m_diagnostics;                     ///< Diagnostics
+  uint8_t m_multicastDiagnostics;            ///< Multicast Diagnostics
+  uint8_t m_locationTracking;                ///< Location Tracking
+  uint8_t m_fms;                             ///< FMS
+  uint8_t m_proxyArpService;                 ///< Proxy ARP Service
   uint8_t m_collocatedInterferenceReporting; ///< Collocated Interference Reporting
-  uint8_t m_civicLocation; ///< Civic Location
-  uint8_t m_geospatialLocation; ///< Geospatial Location
+  uint8_t m_civicLocation;                   ///< Civic Location
+  uint8_t m_geospatialLocation;              ///< Geospatial Location
 
-  uint8_t m_tfs; ///< TFS
-  uint8_t m_wnmSleepMode; ///< WNM Sleep Mode
-  uint8_t m_timBroadcast; ///< TIM Broadcast
-  uint8_t m_bssTransition; ///< BSS Transition
+  uint8_t m_tfs;                  ///< TFS
+  uint8_t m_wnmSleepMode;         ///< WNM Sleep Mode
+  uint8_t m_timBroadcast;         ///< TIM Broadcast
+  uint8_t m_bssTransition;        ///< BSS Transition
   uint8_t m_qosTrafficCapability; ///< QoS Traffic Capability
-  uint8_t m_acStationCount; ///< AC Station Count
-  uint8_t m_multipleBssid; ///< Multiple BSSID
-  uint8_t m_timingMeasurement; ///< Timing Measurement
-
-  uint8_t m_channelUsage; ///< Channel Usage
-  uint8_t m_ssidList; ///< SSID List
-  uint8_t m_dms; ///< DMS
-  uint8_t m_utcTsfOffset; ///< UTC TSF Offset
-  uint8_t m_tpuBufferStaSupport; ///< TPU Buffer STA Support
-  uint8_t m_tdlsPeerPsmSupport; ///< TDLS Peer PSM Support
+  uint8_t m_acStationCount;       ///< AC Station Count
+  uint8_t m_multipleBssid;        ///< Multiple BSSID
+  uint8_t m_timingMeasurement;    ///< Timing Measurement
+
+  uint8_t m_channelUsage;         ///< Channel Usage
+  uint8_t m_ssidList;             ///< SSID List
+  uint8_t m_dms;                  ///< DMS
+  uint8_t m_utcTsfOffset;         ///< UTC TSF Offset
+  uint8_t m_tpuBufferStaSupport;  ///< TPU Buffer STA Support
+  uint8_t m_tdlsPeerPsmSupport;   ///< TDLS Peer PSM Support
   uint8_t m_tdlsChannelSwitching; ///< TDLS Channel Switching
-  uint8_t m_interworking; ///< Interworking
+  uint8_t m_interworking;         ///< Interworking
 
-  uint8_t m_qosMap; ///< QoS Map
-  uint8_t m_ebr; ///< EBR
-  uint8_t m_sspnInterface; ///< SSPN Interface
-  uint8_t m_msgcfCapability; ///< MSGCF Capability
-  uint8_t m_tdlsSupport; ///< TDLS Support
-  uint8_t m_tdlsProhibited; ///< TDLS Prohibited
+  uint8_t m_qosMap;                         ///< QoS Map
+  uint8_t m_ebr;                            ///< EBR
+  uint8_t m_sspnInterface;                  ///< SSPN Interface
+  uint8_t m_msgcfCapability;                ///< MSGCF Capability
+  uint8_t m_tdlsSupport;                    ///< TDLS Support
+  uint8_t m_tdlsProhibited;                 ///< TDLS Prohibited
   uint8_t m_tdlsChannelSwitchingProhibited; ///< TDLS Channel Switching Prohibited
 
-  uint8_t m_rejectUnadmittedFrame; ///< Reject Unadmitted Frame
+  uint8_t m_rejectUnadmittedFrame;      ///< Reject Unadmitted Frame
   uint8_t m_serviceIntervalGranularity; ///< Service Interval Granularity
-  uint8_t m_identifierLocation; ///< Identifier Location
-  uint8_t m_uapsdCoexistence; ///< U-APSD Coexistence
-  uint8_t m_wnmNotification; ///< WNM Notification
-  uint8_t m_qabCapability; ///< QAB Capability
+  uint8_t m_identifierLocation;         ///< Identifier Location
+  uint8_t m_uapsdCoexistence;           ///< U-APSD Coexistence
+  uint8_t m_wnmNotification;            ///< WNM Notification
+  uint8_t m_qabCapability;              ///< QAB Capability
 
-  uint8_t m_utf8Ssid; ///< UTF-8 SSID
-  uint8_t m_qmfActivated; ///< QMFActivated
+  uint8_t m_utf8Ssid;                    ///< UTF-8 SSID
+  uint8_t m_qmfActivated;                ///< QMFActivated
   uint8_t m_qmfReconfigurationActivated; ///< QMFReconfigurationActivated
-  uint8_t m_robustAvStreaming; ///< Robust AV Streaming
-  uint8_t m_advancedGcr; ///< Advanced GCR
-  uint8_t m_meshGcr; ///< Mesh GCR
-  uint8_t m_scs; ///< SCS
-  uint8_t m_qloadReport; ///< QLoad Report
+  uint8_t m_robustAvStreaming;           ///< Robust AV Streaming
+  uint8_t m_advancedGcr;                 ///< Advanced GCR
+  uint8_t m_meshGcr;                     ///< Mesh GCR
+  uint8_t m_scs;                         ///< SCS
+  uint8_t m_qloadReport;                 ///< QLoad Report
 
-  uint8_t m_alternateEdca; ///< Alternate EDCA
+  uint8_t m_alternateEdca;              ///< Alternate EDCA
   uint8_t m_unprotectedTxopNegotiation; ///< Unprotected TXOP Negotiation
-  uint8_t m_protectedTxopNegotiation; ///< Protected TXOP Negotiation
-  uint8_t m_protectedQloadReport; ///< Protected QLoad Report
-  uint8_t m_tdlsWiderBandwidth; ///< TDLS Wider Bandwidth
-  uint8_t m_operatingModeNotification; ///< Operating Mode Notification
-  uint8_t m_maxNumberOfMsdusInAmsdu; ///< Max Number Of MSDUs In A-MSDU
+  uint8_t m_protectedTxopNegotiation;   ///< Protected TXOP Negotiation
+  uint8_t m_protectedQloadReport;       ///< Protected QLoad Report
+  uint8_t m_tdlsWiderBandwidth;         ///< TDLS Wider Bandwidth
+  uint8_t m_operatingModeNotification;  ///< Operating Mode Notification
+  uint8_t m_maxNumberOfMsdusInAmsdu;    ///< Max Number Of MSDUs In A-MSDU
 
   uint8_t m_htSupported;  ///< Flag to indicate HT is supported in order to decide whether this element should be added to the frame or not
   uint8_t m_vhtSupported; ///< Flag to indicate VHT is supported in order to decide whether this element should be added to the frame or not
 };
 
-std::ostream &operator << (std::ostream &os, const ExtendedCapabilities &extendedcapabilities);
+/**
+ * output stream output operator
+ *
+ * \param os output stream
+ * \param extendedCapabilities the extended capabilities
+ *
+ * \returns output stream
+ */
+std::ostream &operator << (std::ostream &os, const ExtendedCapabilities &extendedCapabilities);
 
 } //namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/he-capabilities.cc ns-3.31/src/wifi/model/he-capabilities.cc
--- ns-3.30.1/src/wifi/model/he-capabilities.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/he-capabilities.cc	2020-06-27 17:38:30.000000000 -0700
@@ -40,7 +40,7 @@
     m_muCascadeSupport (0),
     m_ackEnabledMultiTidAggregationSupport (0),
     m_groupAddressedMultiStaBlockAckInDlMuSupport (0),
-    m_omiAcontrolSupport (0),
+    m_omControlSupport (0),
     m_ofdmaRaSupport (0),
     m_maxAmpduLengthExponent (0),
     m_amsduFragmentationSupport (0),
@@ -103,15 +103,15 @@
 }
 
 void
-HeCapabilities::SetHeSupported (uint8_t hesupported)
+HeCapabilities::SetHeSupported (uint8_t heSupported)
 {
-  m_heSupported = hesupported;
+  m_heSupported = heSupported;
 }
 
 uint8_t
 HeCapabilities::GetInformationFieldSize () const
 {
-  //we should not be here if ht is not supported
+  //we should not be here if HE is not supported
   NS_ASSERT (m_heSupported > 0);
   return 19; //todo: variable length!
 }
@@ -189,7 +189,7 @@
   m_muCascadeSupport = (ctrl1 >> 22) & 0x01;
   m_ackEnabledMultiTidAggregationSupport = (ctrl1 >> 23) & 0x01;
   m_groupAddressedMultiStaBlockAckInDlMuSupport = (ctrl1 >> 24) & 0x01;
-  m_omiAcontrolSupport = (ctrl1 >> 25) & 0x03;
+  m_omControlSupport = (ctrl1 >> 25) & 0x03;
   m_ofdmaRaSupport = (ctrl1 >> 26) & 0x01;
   m_maxAmpduLengthExponent = (ctrl1 >> 27) & 0x03;
   m_amsduFragmentationSupport = (ctrl1 >> 29) & 0x01;
@@ -221,7 +221,7 @@
   val |= (m_muCascadeSupport & 0x01) << 22;
   val |= (m_ackEnabledMultiTidAggregationSupport & 0x01) << 23;
   val |= (m_groupAddressedMultiStaBlockAckInDlMuSupport & 0x01) << 24;
-  val |= (m_omiAcontrolSupport & 0x03) << 25;
+  val |= (m_omControlSupport & 0x03) << 25;
   val |= (m_ofdmaRaSupport & 0x01) << 26;
   val |= (m_maxAmpduLengthExponent & 0x03) << 27;
   val |= (m_amsduFragmentationSupport & 0x01) << 29;
@@ -433,11 +433,11 @@
 }
 
 void
-HeCapabilities::SetMaxAmpduLength (uint32_t maxampdulength)
+HeCapabilities::SetMaxAmpduLength (uint32_t maxAmpduLength)
 {
   for (uint8_t i = 0; i <= 3; i++)
     {
-      if ((1ul << (20 + i)) - 1 == maxampdulength)
+      if ((1ul << (20 + i)) - 1 == maxAmpduLength)
         {
           m_maxAmpduLengthExponent = i;
           return;
@@ -490,12 +490,6 @@
   return (1ul << (20 + m_maxAmpduLengthExponent)) - 1;
 }
 
-/**
- * output stream output operator
- * \param os the output stream
- * \param HeCapabilities the HE capabilities
- * \returns the output stream
- */
 std::ostream &
 operator << (std::ostream &os, const HeCapabilities &HeCapabilities)
 {
